Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057826 - [RFE][nova]: Allow download raw VHDs to XenServer
Summary: [RFE][nova]: Allow download raw VHDs to XenServer
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: RHOS Maint
QA Contact: Ami Jeain
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_next upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-25 05:01 UTC by RHOS Integration
Modified: 2016-02-08 17:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-28 14:09:49 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-01-25 05:01:44 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/xenapi-raw-vhd-download.

Description:

When users upload VHDs to glance, its nice not to only support OVA wrapped VHDs.

This blueprint looks to ensure:
* we check glance says its OVF or OVA before attempting to extract the image
* if there is no container_format or it is BARE, then we try to download the VHD directly

For the implementation, we will use wget and md5sum to avoid any overheads around streaming the full image through python code, now there is no need to worry about stream untaring and uncompressing the image.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.